import bpy
from bpy.types import AddonPreferences
from bpy.props import StringProperty

class Procedural_Signs_Preferences(AddonPreferences):
    bl_idname = __package__

    filepath : StringProperty(
        name = "Assets Folder",
        subtype = "DIR_PATH",
        description = "Select Folder that contains Procedural Signs assets",
        # default="D:\Files\桌面\Procedural_Signs_Assets"
    )
    def draw(self,context):
        layout = self.layout
        row = layout.row()
        row.label(text="Select Assets Folder")
        row.prop(self,"filepath" , text = "")

classes = [Procedural_Signs_Preferences]

def register():
    bpy.utils.register_class(Procedural_Signs_Preferences)
    # for c in classes:

def unregister():
    bpy.utils.unregister_class(Procedural_Signs_Preferences)
    # for c in reversed(classes):
